Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.todo
Class ToDoPermission

    java.lang.Object
      |
      +--com.compoze.security.acl.PermissionImpl
            |
            +--com.compoze.todo.ToDoPermission

All Implemented Interfaces:
  java.security.acl.Permission, java.io.Serializable

public class ToDoPermission
extends com.compoze.security.acl.PermissionImpl
implements java.io.Serializable

This class represents the permissions for to dos.

See Also:
  Serialized Form

Field Summary
`static ToDoPermission` | `ADD_TODO` This is the permission to add a to do.
`static ToDoPermission` | `DELETE` This is the permission to delete.
`static ToDoPermission` | `EDIT` This is the permission to edit.
`static ToDoPermission` | `READ` This is the permission to read.
`static ToDoPermission` | `REMOVE_TODO` This is the permission to remove a to do.

Method Summary
`static java.security.acl.Permission` | `getPermission(java.lang.String sName)` Gets the permission by the specified name.
`static java.util.List` | `permissions()` Gets the list of permissions.

Methods inherited from class com.compoze.security.acl.PermissionImpl
`equals, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### READ

    public static final ToDoPermission READ

  This is the permission to read.

### DELETE

    public static final ToDoPermission DELETE

  This is the permission to delete.

### EDIT

    public static final ToDoPermission EDIT

  This is the permission to edit.

### ADD_TODO

    public static final ToDoPermission ADD_TODO

  This is the permission to add a to do.

### REMOVE_TODO

    public static final ToDoPermission REMOVE_TODO

  This is the permission to remove a to do.

Method Detail

### permissions

    public static java.util.List permissions()

  Gets the list of permissions.
  Returns:
    the list of `ToDoPermission`s (un-modifiable)

### getPermission

    public static java.security.acl.Permission getPermission(java.lang.String sName)

  Gets the permission by the specified name.
  Parameters:
    `sName` - the name
  Returns:
    the matching permission or `null` if not found

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.